package com.yihu.hos.crawler.model.flow;

import com.yihu.hos.web.framework.model.Result;

import java.io.Serializable;

/**
 * 标准基本信息
 *
 * @created Airhead 2015/12/23.
 */
public class CrawlerFlowModel extends Result implements Serializable {

    private Integer id;

    private Integer schemeVersionId;

    private String datasetCode;

    private String metadataCode;

    private String inputDatasetCode;

    private String inputMetadataCode;

    private String inputMetadataCode2;

    private String inputDefaultValue;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSchemeVersionId() {
        return schemeVersionId;
    }

    public void setSchemeVersionId(Integer schemeVersionId) {
        this.schemeVersionId = schemeVersionId;
    }

    public String getDatasetCode() {
        return datasetCode;
    }

    public void setDatasetCode(String datasetCode) {
        this.datasetCode = datasetCode;
    }

    public String getMetadataCode() {
        return metadataCode;
    }

    public void setMetadataCode(String metadataCode) {
        this.metadataCode = metadataCode;
    }

    public String getInputDatasetCode() {
        return inputDatasetCode;
    }

    public void setInputDatasetCode(String inputDatasetCode) {
        this.inputDatasetCode = inputDatasetCode;
    }

    public String getInputMetadataCode() {
        return inputMetadataCode;
    }

    public void setInputMetadataCode(String inputMetadataCode) {
        this.inputMetadataCode = inputMetadataCode;
    }

    public String getInputMetadataCode2() {
        return inputMetadataCode2;
    }

    public void setInputMetadataCode2(String inputMetadataCode2) {
        this.inputMetadataCode2 = inputMetadataCode2;
    }

    public String getInputDefaultValue() {
        return inputDefaultValue;
    }

    public void setInputDefaultValue(String inputDefaultValue) {
        this.inputDefaultValue = inputDefaultValue;
    }
}
